NNotifyy CRM

Objects

Create an appointment

Create an appointment in the tenant and project derived from the access token.

Overview

Use this endpoint to create an appointment with one or more properties. Appointments support pipeline and stage public aliases when needed. It requires public api oauth access token authentication and the crm.appointments.write scope.

POST/api/objects/appointments

cURL

POST
bash
curl --request POST \  --url 'https://crm.notifyy.io/api/objects/appointments' \  --header 'Authorization: Bearer nfy_public_api_access_token' \  --header 'Content-Type: application/json' \  --data '{  "properties": [    {      "internal_name": "name",      "value": "Demo call"    },    {      "internal_name": "appointment_start_ts",      "value": "2026-08-01T10:00:00Z"    },    {      "internal_name": "appointment_end_ts",      "value": "2026-08-01T10:30:00Z"    },    {      "internal_name": "pipeline",      "value": "default_pipeline"    },    {      "internal_name": "stage",      "value": "scheduled"    }  ],  "associations": [    {      "to": {        "object": "contact",        "id": "456"      }    }  ]}'

Authorization

Public API OAuth access token

crm.appointments.write

Sample Request Body

json
{  "properties": [    {      "internal_name": "name",      "value": "Demo call"    },    {      "internal_name": "appointment_start_ts",      "value": "2026-08-01T10:00:00Z"    },    {      "internal_name": "appointment_end_ts",      "value": "2026-08-01T10:30:00Z"    },    {      "internal_name": "pipeline",      "value": "default_pipeline"    },    {      "internal_name": "stage",      "value": "scheduled"    }  ],  "associations": [    {      "to": {        "object": "contact",        "id": "456"      }    }  ]}

Sample Response

json
{  "success": true,  "message": "Appointment created successfully",  "data": {    "id": 999,    "name": "Demo call",    "description": null,    "appointmentStartTs": "2026-08-01T10:00:00Z",    "appointmentEndTs": "2026-08-01T10:30:00Z",    "createdAt": "2026-07-31T10:15:30Z",    "updatedAt": "2026-07-31T10:15:30Z"  }}

Status Codes

CodeDescription
201Appointment was created.

Headers

AuthorizationstringRequired

Public API OAuth bearer token.

Example: Bearer nfy_public_api_access_token

Content-TypestringRequired

Request body media type.

Example: application/json

Request body

propertiesobject[]Required

Appointment properties to create. At least one property is required.

properties[].internal_namestringRequired

Internal property name. Use pipeline and stage instead of internal ID fields.

Example: name

Response fields

data.idinteger

Appointment record ID.

data.namestring | null

Appointment name.

Example: Demo call

data.appointmentStartTsstring<date-time> | null

Appointment start timestamp.

Example: 2026-08-01T10:00:00Z

data.appointmentEndTsstring<date-time> | null

Appointment end timestamp.

Example: 2026-08-01T10:30:00Z